%define modname id3
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A14_%{modname}.ini

Summary:	Functions to read and write ID3 tags in MP3 files
Name:		php-%{modname}
Version:	0.2
Release:	%mkrel 4.1
Group:		Development/PHP
URL:		http://pecl.php.net/package/id3
License:	PHP License
Source0:	id3-%{version}.tar.bz2
Patch0:		id3-0.2-php5.4.patch
BuildRequires:	php-devel >= 5.2.0

%description
id3 enables to to retrieve and update information from ID3 tags in MP3 files.
It supports version 1.0 and version 1.1.

%prep
%setup -q -n id3-%{version}
%patch0 -p0
[ "../package.xml" != "/" ] && mv ../package.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc examples CREDITS EXPERIMENTAL TODO package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Jan 19 2017 adrianomorselli <adrianomorselli> 0.2-4.1uplos2017
- rebuild

* Mon Dec 12 2016 tex - 0.2-4.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 0.2-4pclos2017
-rebuild

* Sun Mar 13 2016 bb <bb> 0.2-3pclos2016
- rebuild
